use mus06data.dta, clear
global x2list totchr age female blhisp linc
ivregress 2sls ldrugexp (hi_empunion=ssiratio ) $x2list,vce(robust)
estimates store TwoSLS1
global ivmodel gldrugexp (hi empunion=ssiratio multlc) $x2listh
global ivmodel "ldrugexp (hi empunion=ssiratio multlc) $x2list"
global ivmodel "ldrugexp (hi_empunion=ssiratio multlc) $x2list"
quietly ivregress 2sls $ivmodel,vce(robust)
est store TwoSLS2
quietly ivregress gmm $ivmodel,wmatrix(robust)
est store GMM_het
est table TwoSLS1 TwoSLS2 GMM_het,b(%9.5f) se
quietly ivregress gmm $ivmodel,wmatrix(robust)
estat overid
ivregress gmm ldrugexp (hi_empunion=ssiratio lowincome multlc firmsz) $x2list,wmatrix(robust)
estat overid
use mus08psidextract.dta, clear
xtabond lwage,lags(2) vce(robust)
xtabond lwage,lags(2) twostep vce(robust)
xtabond lwage,lags(2) vce(robust) maxldep(1)
xtabond lwage occ south smsa ind,lags(2) maxldep(3) pre(wks,lag(1,2)) endogenous(ms,lag(0,2)) endogenous(union,lag(0,2)) twostep vce(robust) artests(3)
estat abond
xtabond lwage occ south smsa ind,lags(2) maxldep(3) pre(wks,lag(1,2)) endogenous(ms,lag(0,2)) endogenous(union,lag(0,2)) twostep artests(3)
estat sargan
xtdpdsys lwage occ south smsa ind,lags(2) maxldep(3) pre(wks,lag(1,2)) endogenous(ms,lag(0,2)) endogenous(union,lag(0,2)) twostep vce(robust) artests(3)
xtdpd L(0/2).lwage L(0/1).wks occ south smsa ind ms union, div(occ south smsa ind) dgmmiv(lwage,lagrange(2 4)) dgmmiv(ms union,lagrange(2 3)) dgmmiv(L.wks,lagrange(1 2)) lgmmiv(lwage wks ms union) twostep vce(robust) artests(3)
